#include <iostream>
using namespace std;
int main(){
	int n,l;
	cin>>n>>l;
	int s[n];
	for(int i=1;i<=n;i++){
		cin>>s[i];
	}
	int br = 0;
	for(int i=1;i<=n;i++){
		if(s[i] > l){
			br++;
		}
		if(s[i] < l){
			cout<<br+1;
			break;
		}
	}
	if(br == n){
		cout<<"-1";
	}
	
	
	return 0;
}